package com.custardgames.hotel.entities.ecs.components;

import com.artemis.Component;
import com.artemis.Entity;

public class ObjectDataComponent extends Component
{
	private boolean moveable;
	private boolean taken;
	private Entity player;

	public ObjectDataComponent(boolean moveable)
	{
		this.moveable = moveable;
		taken = false;
		player = null;
	}

	public boolean isTaken()
	{
		return taken;
	}

	public Entity getPlayer()
	{
		return player;
	}

	public void putPlayer(Entity player)
	{
		this.player = player;
		this.taken = true;
	}

	public void removePlayer()
	{
		this.player = null;
		this.taken = false;
	}
	
	public void setTaken()
	{
		taken = true;
	}

	public boolean isMoveable()
	{
		return moveable;
	}

	public void setMoveable(boolean moveable)
	{
		this.moveable = moveable;
	}

}
